﻿using franz;
using System;
using System.Linq;

namespace topiclister
{
    class Program
    {
        static void Main(string[] args)
        {
            Telefranz.Configure("shut up", "localhost:9092");
            var listOfBs = AppDomain.CurrentDomain.GetAssemblies()
              .SelectMany(domainAssembly => domainAssembly.GetTypes())
              .Where(type => type.IsSubclassOf(typeof(gray_messages.message)) && !type.IsAbstract)
              .ToList();

            if (listOfBs != null && listOfBs.Any())
            {
                foreach (var b in listOfBs)
                {
                    Console.WriteLine(b);
                }
            }
            else
            {
                Console.WriteLine(":(");
            }
        }
    }
}